1N/A as_basename=false
1N/A case $CONFIG_SHELL in
1N/A export CONFIG_SHELL
1N/A as_mkdir_p=false
1N/A# include <inttypes.h>
1N/Aac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar build build_cpu build_vendor build_os host host_cpu host_vendor host_os MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT PERL CC ac_ct_CC CFLAGS LDFLAGS CPPFLAGS EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CCAS RANLIB ac_ct_RANLIB STAGE1_CFLAGS STAGE2_CFLAGS GRUB_CFLAGS OBJCOPY ac_ct_OBJCOPY GRUB_LIBS CPP EGREP NETBOOT_SUPPORT_TRUE NETBOOT_SUPPORT_FALSE DISKLESS_SUPPORT_TRUE DISKLESS_SUPPORT_FALSE HERCULES_SUPPORT_TRUE HERCULES_SUPPORT_FALSE SERIAL_SUPPORT_TRUE SERIAL_SUPPORT_FALSE SERIAL_SPEED_SIMULATION_TRUE SERIAL_SPEED_SIMULATION_FALSE BUILD_EXAMPLE_KERNEL_TRUE BUILD_EXAMPLE_KERNEL_FALSE FSYS_CFLAGS NET_CFLAGS NET_EXTRAFLAGS NETBOOT_DRIVERS CCASFLAGS LIBOBJS LTLIBOBJS'
1N/Aac_init_version=false
1N/Aprogram_transform_name=s,x,x,
1N/A eval "enable_$ac_feature=no" ;;
1N/A eval "enable_$ac_feature='$ac_optarg'" ;;
1N/A ac_init_help=long ;;
1N/A ac_init_version=: ;;
1N/A eval "with_$ac_package='$ac_optarg'" ;;
1N/A eval "with_$ac_package=no" ;;
1N/A eval "$ac_envvar='$ac_optarg'"
1N/A export $ac_envvar ;;
1N/Aif test "x$host_alias" != x; then
1N/A if test "x$build_alias" = x; then
1N/Aif test -n "$ac_init_help"; then
1N/A if test -z "$ac_top_builddir"; then
1N/A cd $ac_popdir
1N/Aif $ac_init_version; then
1N/Aac_must_keep_next=false
1N/A if test $ac_must_keep_next = true; then
1N/A -* ) ac_must_keep_next=true ;;
1N/A$as_unset ac_configure_args0 || test "${ac_configure_args0+set}" != set || { ac_configure_args0=; export ac_configure_args0; }
1N/A$as_unset ac_configure_args1 || test "${ac_configure_args1+set}" != set || { ac_configure_args1=; export ac_configure_args1; }
1N/A# config.log. We remove comments because anyway the quotes in there
1N/A # Save into config.log some information that might help in debugging.
1N/A for ac_var in $ac_subst_vars
1N/A for ac_var in $ac_subst_files
1N/A if test -s confdefs.h; then
1N/A## confdefs.h. ##
1N/A rm -rf conftest* confdefs* conf$$* $ac_clean_files &&
1N/A exit $exit_status
1N/A trap 'ac_signal='$ac_signal'; { (exit 1); exit 1; }' $ac_signal
1N/A# confdefs.h avoids OS command line length limits that DEFS can exceed.
1N/Arm -rf conftest* confdefs.h
1N/Aecho >confdefs.h
1N/Acat >>confdefs.h <<_ACEOF
1N/Acat >>confdefs.h <<_ACEOF
1N/Acat >>confdefs.h <<_ACEOF
1N/Acat >>confdefs.h <<_ACEOF
1N/Acat >>confdefs.h <<_ACEOF
1N/Afor ac_site_file in $CONFIG_SITE; do
1N/A case $cache_file in
1N/A [\\/]* | ?:[\\/]* ) . $cache_file;;
1N/A *) . ./$cache_file;;
1N/A case $ac_old_set,$ac_new_set in
1N/A # Pass precious variables to config.status.
1N/A case $ac_new_val in
1N/A *) ac_arg=$ac_var=$ac_new_val ;;
1N/Aif $ac_cache_corrupted; then
1N/A { { echo "$as_me:$LINENO: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
1N/Aac_compiler_gnu=$ac_cv_c_compiler_gnu
1N/A elif test -f $ac_dir/install.sh; then
1N/A { { echo "$as_me:$LINENO: error: cannot find install-sh or install.sh in $srcdir $srcdir/.. $srcdir/../.." >&5
1N/Aecho "$as_me: error: cannot find install-sh or install.sh in $srcdir $srcdir/.. $srcdir/../.." >&2;}
1N/A# AIX 4 /usr/bin/installbsd, which doesn't work without a -g flag
1N/A# ./install, which can be erroneously created by make from ./install.sh.
1N/A as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1N/A IFS=$as_save_IFS
1N/A for ac_exec_ext in '' $ac_executable_extensions; do
1N/A INSTALL=$ac_cv_path_install
1N/A INSTALL=$ac_install_sh
1N/Aecho timestamp > conftest.file
1N/A rm -f conftest.file
1N/A cat >conftest.make <<\_ACEOF
1N/A test -f $srcdir/config.status; then
1N/A { { echo "$as_me:$LINENO: error: source directory already configured; run \"make distclean\" there first" >&5
1N/Aecho "$as_me: error: source directory already configured; run \"make distclean\" there first" >&2;}
1N/Acat >>confdefs.h <<_ACEOF
1N/Acat >>confdefs.h <<_ACEOF
1N/A# Make sure we can run config.sub.
1N/Aecho $ECHO_N "checking whether to enable maintainer-specific portions of Makefiles... $ECHO_C" >&6
1N/Aif test $USE_MAINTAINER_MODE = yes; then
1N/Aif test $ac_prog_rejected = yes; then
1N/A set dummy $ac_cv_prog_CC
1N/A export ac_cv_exeext
1N/A# catch `conftest.exe'. For instance with Cygwin, `ls conftest' will
1N/A# work properly (i.e., refer to `conftest.exe'), while it won't with
1N/A export ac_cv_exeext
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/Aac_test_CFLAGS=${CFLAGS+set}
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/Aelif test $ac_cv_prog_cc_g = yes; then
1N/A rm -f conftest.$ac_objext
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/A for ac_declaration in \
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/A echo $ac_declaration >>confdefs.h
1N/A cd conftest.dir
1N/A for depmode in $am_compiler_list; do
1N/A : > sub/conftest.c
1N/A >/dev/null 2>conftest.err &&
1N/A grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
1N/A cd conftest.dir
1N/A for depmode in $am_compiler_list; do
1N/A : > sub/conftest.c
1N/A >/dev/null 2>conftest.err &&
1N/A grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/A# Defined in acinclude.m4.
1N/A cat > conftest.c <<\EOF
1N/Acat >>confdefs.h <<_ACEOF
1N/A cat > conftest.c <<\EOF
1N/A if { ac_try='${CC-cc} ${CFLAGS} -nostdlib -Wl,-N -Wl,-Ttext -Wl,$link_addr conftest.o -o conftest.exec'
1N/A { { echo "$as_me:$LINENO: error: GRUB requires a working absolute objcopy; upgrade your binutils" >&5
1N/Aecho $ECHO_N "checking whether addr32 must be in the same line as the instruction... $ECHO_C" >&6
1N/A cat > conftest.s <<\EOF
1N/Acat >>confdefs.h <<_ACEOF
1N/Acat >>confdefs.h <<_ACEOF
1N/A cat > conftest.s.in <<\EOF
1N/A sed -e s/@ADDR32@/addr32/ < conftest.s.in > conftest.s
1N/A sed -e s/@ADDR32@/addr32\;/ < conftest.s.in > conftest.s
1N/A { { echo "$as_me:$LINENO: error: GRUB requires GAS .code16 addr32 support; upgrade your binutils" >&5
1N/Aecho "$as_me:$LINENO: checking whether an absolute indirect call/jump must not be prefixed with an asterisk" >&5
1N/Aecho $ECHO_N "checking whether an absolute indirect call/jump must not be prefixed with an asterisk... $ECHO_C" >&6
1N/A cat > conftest.s <<\EOF
1N/Acat >>confdefs.h <<\_ACEOF
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/Acat >>confdefs.h <<\_ACEOF
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/Acat >>confdefs.h <<\_ACEOF
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/Acat >>confdefs.h <<\_ACEOF
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/Acat >>confdefs.h <<\_ACEOF
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/Acat >>confdefs.h <<\_ACEOF
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/Acat >>confdefs.h <<\_ACEOF
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/Acat >>confdefs.h <<\_ACEOF
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/Aif test $ac_cv_lib_util_opendisk = yes; then
1N/Acat >>confdefs.h <<\_ACEOF
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/Aif test $ac_cv_lib_ncurses_wgetch = yes; then
1N/Acat >>confdefs.h <<\_ACEOF
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/Aif test $ac_cv_lib_curses_wgetch = yes; then
1N/Acat >>confdefs.h <<\_ACEOF
1N/A ac_preproc_ok=false
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A if test -s conftest.err; then
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A if test -s conftest.err; then
1N/Aif $ac_preproc_ok; then
1N/Aac_preproc_ok=false
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A if test -s conftest.err; then
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A if test -s conftest.err; then
1N/Aif $ac_preproc_ok; then
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/Aif test $ac_cv_header_stdc = yes; then
1N/Aif test $ac_cv_header_stdc = yes; then
1N/Aif test $ac_cv_header_stdc = yes; then
1N/A( exit $ac_status )
1N/Aif test $ac_cv_header_stdc = yes; then
1N/Acat >>confdefs.h <<\_ACEOF
1N/A# On IRIX 5.3, sys/types and inttypes.h are conflicting.
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/A cat >>confdefs.h <<_ACEOF
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A || test ! -s conftest.err'
1N/A rm -f conftest.er1
1N/A cat conftest.err >&5
1N/A if test -s conftest.err; then
1N/A { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
1N/Aecho "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
1N/A { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
1N/A cat >>confdefs.h <<_ACEOF
1N/A# Check whether --enable-serial-speed-simulation or --disable-serial-speed-simulation was given.
1N/A if test -r $enable_preset_menu; then
1N/Acat >conftest.c <<\EOF
1N/Aif { ac_try='${CC-cc} ${CFLAGS} conftest.c -o conftest'
1N/A (exit $ac_status); }; } && test -s conftest; then
1N/Acat >>confdefs.h <<_ACEOF
1N/Acat >>confdefs.h <<\_ACEOF
1N/A ac_config_files="$ac_config_files Makefile stage1/Makefile stage2/Makefile docs/Makefile lib/Makefile util/Makefile grub/Makefile netboot/Makefile util/grub-image util/grub-install util/grub-md5-crypt util/grub-terminfo util/grub-set-default"
1N/A# config.status only pays attention to the cache file if you give it
1N/A s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\\2'/p"
1N/A if test -w $cache_file; then
1N/Aif test -z "${SERIAL_SPEED_SIMULATION_TRUE}" && test -z "${SERIAL_SPEED_SIMULATION_FALSE}"; then
1N/A: ${CONFIG_STATUS=./config.status}
1N/Acat >$CONFIG_STATUS <<_ACEOF
1N/Acat >>$CONFIG_STATUS <<\_ACEOF
1N/A as_basename=false
1N/A case $CONFIG_SHELL in
1N/A export CONFIG_SHELL
1N/A as_mkdir_p=false
1N/Aexec 5>>config.log
1N/A# Files that config.status was made for.
1N/Acat >>$CONFIG_STATUS <<\_ACEOF
1N/Acat >>$CONFIG_STATUS <<_ACEOF
1N/Acat >>$CONFIG_STATUS <<\_ACEOF
1N/A ac_need_defaults=false;;
1N/A case $ac_option in
1N/Acat >>$CONFIG_STATUS <<\_ACEOF
1N/A ac_cs_recheck=: ;;
1N/A ac_need_defaults=false;;
1N/A ac_need_defaults=false;;
1N/A ac_cs_silent=: ;;
1N/Aif $ac_cs_silent; then
1N/Acat >>$CONFIG_STATUS <<_ACEOF
1N/A echo "running $SHELL $0 " $ac_configure_args \$ac_configure_extra_args " --no-create --no-recursion" >&6
1N/Acat >>$CONFIG_STATUS <<_ACEOF
1N/Acat >>$CONFIG_STATUS <<\_ACEOF
1N/Aif $ac_need_defaults; then
1N/Acat >>$CONFIG_STATUS <<_ACEOF
1N/A cat >>$CONFIG_STATUS <<\_ACEOF
1N/A while $ac_more_lines; do
1N/A ac_more_lines=false
1N/Acat >>$CONFIG_STATUS <<\_ACEOF
1N/A * ) ac_file_in=$ac_file.in ;;
1N/Acase $ac_abs_builddir in
1N/A.) ac_abs_top_builddir=${ac_top_builddir}.;;
1N/A case ${ac_top_builddir}. in
1N/A [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1N/Acase $ac_abs_builddir in
1N/A case $ac_srcdir in
1N/A [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1N/Acase $ac_abs_builddir in
1N/A case $ac_top_srcdir in
1N/A [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1N/A [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
1N/A for f in $ac_file_in; do
1N/Acat >>$CONFIG_STATUS <<_ACEOF
1N/Acat >>$CONFIG_STATUS <<\_ACEOF
1N/As,@configure_input@,$configure_input,;t t
1N/As,@srcdir@,$ac_srcdir,;t t
1N/As,@abs_srcdir@,$ac_abs_srcdir,;t t
1N/As,@top_srcdir@,$ac_top_srcdir,;t t
1N/As,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
1N/As,@builddir@,$ac_builddir,;t t
1N/As,@abs_builddir@,$ac_abs_builddir,;t t
1N/As,@top_builddir@,$ac_top_builddir,;t t
1N/As,@abs_top_builddir@,$ac_abs_top_builddir,;t t
1N/As,@INSTALL@,$ac_INSTALL,;t t
1N/Acat >>$CONFIG_STATUS <<\_ACEOF
1N/A * ) ac_file_in=$ac_file.in ;;
1N/A for f in $ac_file_in; do
1N/A# Transform confdefs.h into two sed scripts, `conftest.defines' and
1N/A# `conftest.undefs', that substitutes the proper values into
1N/A# config.h.in to produce config.h. The first handles `#define'
1N/A# config.status. Protect against being in an unquoted here document
1N/A# in config.status.
1N/As,^[ ]*#[ ]*define[ ][ ]*\([^ (][^ (]*\)\(([^)]*)\)[ ]*\(.*\)$,${ac_dA}\1${ac_dB}\1\2${ac_dC}\3${ac_dD},gp
1N/Auniq confdefs.h | sed -n -f confdef2sed.sed >conftest.defines
1N/Ased 's/ac_d/ac_u/g' conftest.defines >conftest.undefs
1N/Arm -f confdef2sed.sed
1N/Acat >>conftest.undefs <<\_ACEOF
1N/A# Break up conftest.defines because some shells have a limit on the size
1N/Aecho ' # Handle all the #define templates only if necessary.' >>$CONFIG_STATUS
1N/Aecho >>$CONFIG_STATUS
1N/A# Break up conftest.undefs because some shells have a limit on the size
1N/Acat >>$CONFIG_STATUS <<\_ACEOF
1N/Afor _am_header in $config_headers :; do
1N/A case $_am_header in
1N/Acat >>$CONFIG_STATUS <<\_ACEOF
1N/Acase $ac_abs_builddir in
1N/A.) ac_abs_top_builddir=${ac_top_builddir}.;;
1N/A case ${ac_top_builddir}. in
1N/A [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1N/Acase $ac_abs_builddir in
1N/A case $ac_srcdir in
1N/A [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1N/Acase $ac_abs_builddir in
1N/A case $ac_top_srcdir in
1N/A [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1N/Acat >>$CONFIG_STATUS <<\_ACEOF
1N/A# configure is writing to config.log, and then calls config.status.
1N/A# config.status does its own redirection, appending to config.log.
1N/A# Unfortunately, on DOS this fails, as config.log is still kept open
1N/A# by configure, so config.status won't be able to write to it; its
1N/A# effectively closing config.log, so it can be properly (re)opened and
1N/A# appended to by config.status. When coming back to configure, we
1N/A exec 5>>config.log